.fixedcols {
}

.dyncols {
}

.headerrows {
}

.dyndata {
}


table.inner, table.outer {
	border-collapse: collapse;
	table-layout: fixed;
}

	table.inner td {
	}

.outer div {
	border-collapse: collapse;
	border-spacing: 0px;
	border-width: 0px;
	padding: 0px;
	margin: 0px;
}



.headerrows table th, table.data th {
	background-color: #858EA7;
	color: #FFFFFF;
	border: 1px solid #D2D4D4;
	font-size: 9pt;
	padding: 8px 2px;
	/*height: 45px;*/
}

.headerrows table tr:first-of-type th {
	vertical-align: top;
}

table th.resizing {
	cursor: col-resize;
}

table.data {
	border-collapse: collapse;
	table-layout: fixed;
	border: 0px none;
}

	table.data th:first-of-type {
		border-left: 1px solid #D2D4D4;
	}

	table.data th:last-of-type {
		border-right: 1px solid #D2D4D4;
	}

	table.data th img.sorticon {
		margin-left: 10px;
	}

	table.data tr td {
		color: Black;
		vertical-align: middle;
		font-size: 9pt;
		border: 1px solid #FFFFFF;
		margin: 0px;
		height: 27px;
		white-space: nowrap;
		overflow: hidden;
		padding: 0.1em 0.3em 0.1em 0.3em; /*1px 3px 1px 5px; */;
	}

	table.data tr.d0 td {
		background-color: #DDDDDD;
	}

	table.data tr.d1 td {
		background-color: #EDEDED;
	}

	table.data tr.fr td {
		border-top: 1px solid #999;
	}


	table.data tr.steadyhighlight td {
		color: #000;
		background-color: #FFFFBB;
	}

	table.data td:first-of-type {
		border-left: 1px solid #CECDCD;
	}

		table.data td:first-of-type a, table.data td:first-of-type a img {
			vertical-align: top;
		}

	table.data td:last-of-type {
		border-right: 1px solid #CECDCD;
	}

	table.data tr.footer td {
		font-size: 9pt;
		color: #FFFFFF;
		background-color: #38517b;
		padding: 4px 2px 4px 2px;
		text-align: right;
	}

	/*table.data tr.highlight td, table.data tr.highlight td a {
		color: #000;
		background-color: #95A9C5;
	}*/


	table.data tr td input[type=text], table.data tr td textarea, table.data tr td select {
		border: 1px solid #666666;
		margin: 0px !important;
		-moz-border-radius: 0px !important;
		-webkit-border-radius: 0px !important;
		box-shadow: 0px !important;
	}

/*.datarows table tr:hover td {
	background-color: #A5D055;
}*/
.datarows table tr.highlight td {
	background-color: #A5D055;
}

.columnselect-list {
	max-height: 50vh !important;
	overflow-y: scroll;
}

.LSPopupDiv {
	background-color: #D6D6D6;
	border-right: 1px solid #000000;
	border-bottom: 1px solid #000000;
	border-left: 1px solid #C2C7D3;
	border-top: 1px solid #C2C7D3;
}

#divPopupHeader {
	font-family: arial,helvetica,sans-serif;
	font-size: 12px;
	color: #FFFFFF;
	padding-top: 5px;
	padding-left: 7px;
	padding-bottom: 8px;
	margin-bottom: 3px;
	background-color: #5C6374;
	background-image: url(/images/popup_header_back.jpg);
}

.imbPopupCloseButton {
	float: right;
	margin-top: 2px;
	margin-right: 7px;
}


/* Navigation elements */

.navcontrols {
	height: 25px;
	/*width: 880px;*/
	margin: 0 0 10px;
}

	.navcontrols .nav {
		vertical-align: top;
		background-color: #848EA7;
	}

	.navcontrols .nav-addnew {
		margin-left: 2px;
		margin-right: 3px;
	}

	.navcontrols .nav-export {
		margin-right: 20px;
	}

	.navcontrols .nav-first {
		margin-left: 2px;
		margin-right: 3px;
	}

	.navcontrols .nav-previous {
	}

	.navcontrols .nav-page {
		vertical-align: top;
		margin: 0 6px 0;
		text-align: right;
		width: 50px;
		background-color: #fff;
	}

	.navcontrols .nav-next {
		margin-right: 3px;
	}

	.navcontrols .nav-last {
		margin-right: 10px;
	}

	.navcontrols .nav-columnselect {
		margin-left: 20px;
		margin-right: 3px;
	}

	.navcontrols .rowcount {
		display: inline;
	}

.rowcount-btn {
	vertical-align: top;
	border: 0px none;
	height: 24px;
	width: 24px;
	cursor: pointer;
	background-color: #848EA7;
}

.rowcount .rowcount-min {
	margin-left: 20px;
	margin-right: 3px;
	background-image: url(/images/grid/view_15.png);
}

.rowcount .rowcount-mid {
	margin-right: 3px;
	background-image: url(/images/grid/view_50.png);
}

.rowcount .rowcount-max {
	background-image: url(/images/grid/view_max.png);
}

.rowcount .rowcount-selected {
	background-color: #2EFF00;
}

.navbutton {
	background: #9C9C9C;
	/*background:#848ea7;*/
	color: #fff;
	background-repeat: no-repeat;
	margin-right: 4px;
	overflow: hidden;
	border: 1px solid transparent;
}

	.navbutton:hover {
		background: #000;
		cursor: pointer;
	}

#easyTooltip {
	padding: 4px;
	border: 1px solid #000;
	background: #434854;
	color: #fff;
	min-width: 10px;
	font-family: verdana,arial,helvetica,sans-serif;
	font-size: 11px;
}

.CurrencyTextBox {
	text-align: right;
	width: 80px;
	padding-right: 2px;
	margin-right: 2px;
}


.listcontainer {
	overflow: auto;
}


/* ********************* Grid background ************************** */
.grid_background {
	background: #f1f5f9;
	padding: 5px 10px 15px;
}

td.footer {
	font-size: 9pt;
	color: #FFFFFF;
	background-color: #38517b;
	padding: 4px 1px; /* 4px 2px 4px 2px; */
	text-align: right;
}

.ui-dialog {
	z-index: 1000;
}

/* Sortable */

.sortable {
	list-style-type: none;
	margin: 3px 5px 3px 0;
	float: left;
	margin-right: 10px;
	padding: 3px 3px 5px 3px;
	width: 300px;
	/*height:  600px;*/
	overflow: hidden;
	background: #C5C6C6;
}

	.sortable li {
		margin: 0 2px 2px 2px;
		padding: 2px 5px 2px 5px;
		background: #fff; /* #F1F5F9; */
		border: 1px solid #8CA6BD;
		-moz-border-radius: 4px;
		-webkit-border-radius: 4px;
		border-radius: 4px;
	}

		.sortable li.ui-state-highlight {
			background: #FDDB95;
		}

		.sortable li:hover {
			cursor: pointer;
		}

/*table.ddcDefault td {
	border: 0px none;
}
*/
table.ddcContainer td.ddcTextCell {
	border: 0px none;
	width: 80%;
}

.ddcContainer {
	border: none;
}

input.ddcText {
	width: 90%;
}




/******************** MultiSelect **************************/

tr.filterrow div.ddcDefault {
	width: 100% !important;
}

	tr.filterrow div.ddcDefault > span > input[id$="_focus"] {
		display: none;
	}

	tr.filterrow div.ddcDefault table.ddcContainer td {
		border: 0px none;
		padding: 0px;
	}

.ddcPopup {
	padding: 0 5px;
	border: 1px solid #DDD;
	max-height: 300px;
	overflow-y: scroll;
	white-space: nowrap;
	width: auto;
}

	.ddcPopup td {
		padding: 2px 0;
	}

		.ddcPopup td input[type="checkbox"] {
			margin-right: 2px;
		}

/******************** Filters **************************/
tr.filterrow input[type="text"], tr.filterrow select {
	font-weight: normal;
	color: #000;
	width: 98%;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
}

/******************** SmallerBigger **************************/
table.data th a, table.data table.filter-smallerbigger tr td {
	color: #FFFFFF;
}

tr.filterrow table.filter-smallerbigger td {
	border: 0px none;
	padding: 0px;
	height: 100%;
}
